petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCMGSetRScale

Sets the pointwise scaling for the restriction operator from level l to l-1.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetRScale(PC pc,PetscInt l,Vec rscale)

Logically Collective on PC and Vec

### Input Parameters

| pc | - the multigrid context
| l | - the level (0 is coarsest) to supply [Do not supply 0]

rscale -the scaling

### Notes

When evaluating a function on a coarse level one does not want to do F(R * x) one does F(rscale * R * x) where rscale is 1 over the row sums of R.

### Keywords

MG, set, multigrid, restriction, level

### See Also

PCMGSetInterpolation(), PCMGSetRestriction(), PCMGGetRScale()

Level:advanced
Location:src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages